Skip to main content
POST
/
v2
/
client_invoices
/
{id}
/
send
Send a client invoice via email
curl --request POST \
  --url https://thirdparty.qonto.com/v2/client_invoices/{id}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "send_to": [
    "jsmith@example.com"
  ],
  "email_title": "Invoice for inventory stock",
  "copy_to_self": true,
  "email_body": "Here's the invoice for the inventory stock"
}
EOF
import requests

url = "https://thirdparty.qonto.com/v2/client_invoices/{id}/send"

payload = {
"send_to": ["jsmith@example.com"],
"email_title": "Invoice for inventory stock",
"copy_to_self": True,
"email_body": "Here's the invoice for the inventory stock"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
send_to: ['jsmith@example.com'],
email_title: 'Invoice for inventory stock',
copy_to_self: true,
email_body: 'Here\'s the invoice for the inventory stock'
})
};

fetch('https://thirdparty.qonto.com/v2/client_invoices/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

The ID of the client invoice to send

Body

application/json
send_to
string<email>[]
required

Email of the receipient

email_title
string
required
Example:

"Invoice for inventory stock"

copy_to_self
boolean
default:true

Whether to copy/send the client invoice to the authenticated user

email_body
string
Example:

"Here's the invoice for the inventory stock"

Response

Email was sent successfully